## qtirreco 0.1-2

=== src/Makefile ===
#############################################################################
# Makefile for building: qtirreco
# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Oct 27 12:37:29 2009
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aboutdlg.cpp \
		backgroundcolordlg.cpp \
		backgrounddlg.cpp \
		buttonselectdlg.cpp \
		buttonwidget.cpp \
		commandchaindlg.cpp \
		creditsdlg.cpp \
		layoutwidget.cpp \
		licensedlg.cpp \
		main.cpp \
		newbuttondlg.cpp \
		qtirreco.cpp \
		downloadremotedlg.cpp \
		qxtxmlrpcresponseparser.cpp \
		qxtxmlrpcrequestcomposer.cpp \
		qxtxmlrpcclient.cpp \
		lircsocket.cpp \
		remotestartupdlg.cpp \
		renameremotedlg.cpp \
		logindbdlg.cpp \
		registerdlg.cpp \
		downloaduserremotedlg.cpp \
		thememanager.cpp \
		themecreatordlg.cpp \
		createbuttondlg.cpp \
		createbackgrounddlg.cpp \
		uploaddbdlg.cpp \
		themecreatorbutton.cpp \
		themecreatorbackground.cpp \
		themepreviewbuttondlg.cpp moc_aboutdlg.cpp \
		moc_backgroundcolordlg.cpp \
		moc_backgrounddlg.cpp \
		moc_buttonselectdlg.cpp \
		moc_buttonwidget.cpp \
		moc_commandchaindlg.cpp \
		moc_creditsdlg.cpp \
		moc_layoutwidget.cpp \
		moc_licensedlg.cpp \
		moc_newbuttondlg.cpp \
		moc_qtirreco.cpp \
		moc_downloadremotedlg.cpp \
		moc_qxtxmlrpcclient.cpp \
		moc_lircsocket.cpp \
		moc_remotestartupdlg.cpp \
		moc_renameremotedlg.cpp \
		moc_logindbdlg.cpp \
		moc_registerdlg.cpp \
		moc_downloaduserremotedlg.cpp \
		moc_thememanager.cpp \
		moc_themecreatordlg.cpp \
		moc_createbuttondlg.cpp \
		moc_createbackgrounddlg.cpp \
		moc_uploaddbdlg.cpp \
		moc_themecreatorbutton.cpp \
		moc_themecreatorbackground.cpp \
		moc_themepreviewbuttondlg.cpp \
		qrc_images.cpp
OBJECTS       = aboutdlg.o \
		backgroundcolordlg.o \
		backgrounddlg.o \
		buttonselectdlg.o \
		buttonwidget.o \
		commandchaindlg.o \
		creditsdlg.o \
		layoutwidget.o \
		licensedlg.o \
		main.o \
		newbuttondlg.o \
		qtirreco.o \
		downloadremotedlg.o \
		qxtxmlrpcresponseparser.o \
		qxtxmlrpcrequestcomposer.o \
		qxtxmlrpcclient.o \
		lircsocket.o \
		remotestartupdlg.o \
		renameremotedlg.o \
		logindbdlg.o \
		registerdlg.o \
		downloaduserremotedlg.o \
		thememanager.o \
		themecreatordlg.o \
		createbuttondlg.o \
		createbackgrounddlg.o \
		uploaddbdlg.o \
		themecreatorbutton.o \
		themecreatorbackground.o \
		themepreviewbuttondlg.o \
		moc_aboutdlg.o \
		moc_backgroundcolordlg.o \
		moc_backgrounddlg.o \
		moc_buttonselectdlg.o \
		moc_buttonwidget.o \
		moc_commandchaindlg.o \
		moc_creditsdlg.o \
		moc_layoutwidget.o \
		moc_licensedlg.o \
		moc_newbuttondlg.o \
		moc_qtirreco.o \
		moc_downloadremotedlg.o \
		moc_qxtxmlrpcclient.o \
		moc_lircsocket.o \
		moc_remotestartupdlg.o \
		moc_renameremotedlg.o \
		moc_logindbdlg.o \
		moc_registerdlg.o \
		moc_downloaduserremotedlg.o \
		moc_thememanager.o \
		moc_themecreatordlg.o \
		moc_createbuttondlg.o \
		moc_createbackgrounddlg.o \
		moc_uploaddbdlg.o \
		moc_themecreatorbutton.o \
		moc_themecreatorbackground.o \
		moc_themepreviewbuttondlg.o \
		qrc_images.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qtirreco
DESTDIR       = 
TARGET        = qtirreco

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_aboutdlg.h ui_backgroundcolordlg.h ui_backgrounddlg.h ui_buttonselectdlg.h ui_commandchaindlg.h ui_creditsdlg.h ui_licensedlg.h ui_qtirreco.h ui_downloadremotedlg.h ui_remotestartupdlg.h ui_renameremotedlg.h ui_newbuttondlg.h ui_logindbdlg.h ui_registerdlg.h ui_downloaduserremotedlg.h ui_thememanager.h ui_themecreatordlg.h ui_createbuttondlg.h ui_createbackgrounddlg.h ui_uploaddbdlg.h ui_themepreviewbuttondlg.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtirreco1.0.0 || $(MKDIR) .tmp/qtirreco1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.h backgroundcolordlg.h backgrounddlg.h buttonselectdlg.h buttonwidget.h commandchaindlg.h creditsdlg.h layoutwidget.h licensedlg.h newbuttondlg.h qtirreco.h downloadremotedlg.h qxtxmlrpcresponseparser.h qxtxmlrpcrequestcomposer.h qxtxmlrpcclient.h lircsocket.h remotestartupdlg.h renameremotedlg.h logindbdlg.h registerdlg.h downloaduserremotedlg.h thememanager.h themecreatordlg.h createbuttondlg.h createbackgrounddlg.h uploaddbdlg.h themecreatorbutton.h themecreatorbackground.h themepreviewbuttondlg.h .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents images.qrc .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.cpp backgroundcolordlg.cpp backgrounddlg.cpp buttonselectdlg.cpp buttonwidget.cpp commandchaindlg.cpp creditsdlg.cpp layoutwidget.cpp licensedlg.cpp main.cpp newbuttondlg.cpp qtirreco.cpp downloadremotedlg.cpp qxtxmlrpcresponseparser.cpp qxtxmlrpcrequestcomposer.cpp qxtxmlrpcclient.cpp lircsocket.cpp remotestartupdlg.cpp renameremotedlg.cpp logindbdlg.cpp registerdlg.cpp downloaduserremotedlg.cpp thememanager.cpp themecreatordlg.cpp createbuttondlg.cpp createbackgrounddlg.cpp uploaddbdlg.cpp themecreatorbutton.cpp themecreatorbackground.cpp themepreviewbuttondlg.cpp .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.ui backgroundcolordlg.ui backgrounddlg.ui buttonselectdlg.ui commandchaindlg.ui creditsdlg.ui licensedlg.ui qtirreco.ui downloadremotedlg.ui remotestartupdlg.ui renameremotedlg.ui newbuttondlg.ui logindbdlg.ui registerdlg.ui downloaduserremotedlg.ui thememanager.ui themecreatordlg.ui createbuttondlg.ui createbackgrounddlg.ui uploaddbdlg.ui themepreviewbuttondlg.ui .tmp/qtirreco1.0.0/ && (cd `dirname .tmp/qtirreco1.0.0` && $(TAR) qtirreco1.0.0.tar qtirreco1.0.0 && $(COMPRESS) qtirreco1.0.0.tar) && $(MOVE) `dirname .tmp/qtirreco1.0.0`/qtirreco1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtirreco1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)

## qtirreco 0.1-1

=== debian/changelog ===
qtirreco (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Thu, 23 Apr 2009 08:24:14 +0300

=== debian/control ===
Source: qtirreco
Section: user/multimedia
Priority: extra
Maintainer: Niko Rehnbäck <t6reni00@students.oamk.fi>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3

Package: qtirreco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lirc, libqt4-core (>= 4.5.3~git20090723), libqt4-gui (>=  4.5.3~git20090723), libqt4-network (>= 4.5.3~git20090723), libqt4-xml (>= 4.5.3~git20090723), libc6, libgcc1, libstdc++6
Description: QtIrreco - Ir Remote Control
 QtIrreco is a remote control application for Nokia N900.
 With QtIrreco you can control IR compatible devices like televisions, 
 DVD players and AV Receivers. QtIrreco also has a remote editor 
 which you can use to place buttons to the screen and build 
 the kind of remote you want to use.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAKT2lDQ1BQaG90
 b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
 i4AUkSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OI
 isr74Xuja9a89+bN/rXXPues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQu
 QIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgABeNMLCADATZvAMByH/w/qQplc
 AYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAtAGAnf+bT
 AICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJ
 V2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcq
 AAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wA
 AKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+5c+rcEAAAOF0ftH+LC+z
 GoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk5NhK
 xEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc
 5o9H/LcL//wd0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+
 3zUAsGo+AXuRLahdYwP2SycQWHTA4vcAAPK7b8HUKAgDgGiD4c93/+8//Ueg
 JQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzABhzBBdzBC/xgNoRC
 JMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgx
 UopUIFVIHfI9cgI5h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQ
 ZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+Q8cwwOgYBzPEbDAuxsNCsTgsCZNj
 y7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhMWE7YSKggHCQ0
 EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMy
 J7mQAkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPk
 G+Qh8lsKnWJAcaT4U+IoUspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2h
 tlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdpr+h0uhHdlR5Ol9BX0svpR+iX
 6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZD5lvVVgq
 tip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtV
 qp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gs
 IWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0
 TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllirSKtRq0frvTau7aedpr1F
 u1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79up+6Y
 nr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb
 8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN
 7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x1zLnm+eb15vft2BaeFostqi2uGVJ
 suRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lOk06rntZnw7Dxtsm2
 qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJ
 S4LLLpc+Lpsbxt3IveRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nyme
 WTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+BZ7XnIy9jL5FXrdewt6V3qvdh7xc+
 9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/0QCngCUBZwOJ
 gUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jO
 kc5pDoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE
 3ptnMU85ry1KNSo+qi5qPNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/8
 7fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIsOpZATIhOOJTwQRAqqBaMJfIT
 dyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5hCepkLxM
 DUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8e
 lQfJa7OQrAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zv
 n//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vt
 V5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1dT1gvWd+1YfqGnRs+FYmK
 rhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aXDm4N
 2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLd
 tWHX+G7R7ht7vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvtt
 Xa1ObXHtxwPSA/0HIw6217nU1R3SPVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG
 4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKaRptTmvtbYlu6T8w+
 0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7
 nLuarrlca7nuer21e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+
 cif9zsu72Xcn7q28T7xf9EDtQdlD3YfVP1v+3Njv3H9qwHeg89HcR/cGhYPP
 /pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i/suuFxYvfvjV
 69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98P
 T+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAGYktHRAD/AP8A/6C9
 p5MAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfZBBcHDAhmiv8aAAAQ
 WElEQVR42u2ae4xcV33HP+ece+e9M7Mvv+0YEuwkJoGEskkwqA6NwbFCQ0ia
 EPIyUoVKFRUKFaJAq1atqNTSSiDUQCjECRFpVESb1uHdhoBD8DYujp2Y2CT4
 be9mnzOzO3Of59c/7szuZLP2rr1OSqh/0tE8dM695/c939/j/M6Bc3JOzsk5
 OSf/f0X9uk7sgx/8YC9wB7AJWA5cDOwF9gFfv++++/71NxKALVu29AF3A7cA
 qVN03Qd8dOvWrd99zQOwZcuWVFPhu4G+0xgaA7+/devWra9JAO66667eptIf
 BnoX8Kg777///q+/ZgC4884750vz+coEcN4DDzwweroDnVdL6TvuuGOK5iLS
 d5YfXwA+CXzi144Bt99++5Lman9ogTSfS0aBFQ8++GDj14IBt912W19ztc8W
 zeeSrmbYvPf/DIAPfOADryTN5yN3ny4AZ8UEbr311leL5vORDQ899NDjrwoD
 3v/+9/cBHxORm6y1JgzDuV/oOBhjXhHN4zjGGPMR4PFXjAG33HLLrElLvV5n
 cHBwzvGdnZ2Uy+UzVlJEaDQaeJ6H53kA+L4/W9ddwJNNMB7v7+8fWBAAN998
 8ylp3mg05g1AqVQ6bcXDMKRarTI5OYm19kywexT4fH9//w9OC4Cbbrrp7U3F
 bwJOyt1Go8HQ0BB/VDjBdc4oYRUkAuWAW4RtURdfmFhKuVymWCyeFq3Hx8eZ
 nJyc+m+JCdiQqnKZmiAbWVZGPm6cgKI0jBqXI26avSrH7jDH7jDf/sgngT/s
 7+/fdVIfcOONN562NxeR5BNoDArBKEgIyoVUA6R7ul+r71xSr9cZGxvDWktW
 WTZnxthox1g26ROPC9YHG0IYQ2inlzRjAta6ARelatychbFCim2mi+96ndTE
 XAU81dfX90XgMy8B4H3ve18W+LCIfPJMvbnEEE5CUBVsADoFKq2Q8svBOpVU
 KhVqtRoAmzJj3BUPkh6OiCag7oENBYlAbNKQaQCUAjRoJ1mAbCbg1sIAv9cz
 zAMsYpvXZYCPAJumALjhhhteJyKPAJecqXNqfsNKqyUTs8LUDOdigIgwOjqK
 53lkleVT2cOsG60RjEFjMgF1SulZHzC9T4xDwAPdECJfkVEhd686DsA2rwsg
 6wBcf/31q6y1P2kWHlgQABpMHoyvUCFoN/mNnu53MicmIoyNjeH7PstMwGfM
 IXqOe9THIW4INmoqqECZGU1NAyAx2Dj5RMACWgMufLPR01L+MPAOp/nif16I
 8jN9QGaxQmfBRgkNU8XEIc5lApVKBd/3WWV8Pqt+hTkeUR8XYj9RRqnEqeoU
 mLTCZMCkm2Zmpk3QhhD7EHvJe7ULqS7YVu7la/UlLeU39Pf3H1bXXXfdRuD7
 C01CgiBgfHx87m1boUAul3vZ/57nUa1W6VAxf+u8QPG4j99SXhLvblLgZBVu
 EYKiw88yJX4hOZ6PshyN0wCsNh5LTMhFepKr/TGyQYxJwbZsz0zlDwA4IvKx
 s5GFzdezz+YDRIRarYZG+ETmMB3HvGTlvUR5bcBkwS0qwh6HB9NL+FFQIvAS
 uzLGkE4n7uxo7HAojPmZdPCQWsQ7O8boUDEP1xcBHGtXvgXAxlcTgNn6TkxM
 ICLcmB3m9cM1JseF0J9WXucUqW54prfEPwYrqPkGx3HoyGZJpVIopWZNnBqN
 Bt/2ult/HQPe0a48gGOtNWcTgA/nj/NuZwS/Ou0D0kX4XtTNPZPLXuYErbV4
 nke3DnlP40XqYxA0wNrEcekspLth+6IevuwtQylFPp8jnU6fMqoYYygUCsRx
 TKPRGAuCYMNM5VsM4GwCIEB1QKiPJs5Iu5DrAumZ3QQajaR+8d7MMPHxmEZd
 iFoOLw1uWbGjt4sve8vQWlMoFDDGzJtxWmvy+XxnPp9fDjz/MgDOMK8+KQA2
 FrwJoV4R4iBxXDqlsJ0yaxgMgoCMsrytPkKjJoS+YC0YF5ycYrwnzVeC1srn
 UUqd6V7gQ7PtErWIjLZWZaGtxYB4liYznKCIEEURIsIVqQpSi/E9IbRgdbL6
 qRJ8wywlEE0mk0EptZD5bbrmmmvMbAx4tFlKWpC0VkVIEg/bVFw1v7cD0Orb
 qh9cqmr4DQhCiAWMAZ1VDJRy7AyLaK0xxrBAtnaRnC7tmcmAe87W6rcD0L76
 7QC0syCOYwDWBhP4PkRxky0OOFl43OkCwHVdzhJLl7zMBB577LEnrbU7rbUs
 tCUACLEIUVuLRRBe6gNarawj0n5IEAphnPQXI+iM8ExUSPY3Tbs/Cy2etSQm
 Ip8HHjhrpam2ppqfsyVCIkKPCQinlG/m9I4iShmOx+mpGG/FEucNWiJKSwU7
 YcAqlFYEExBHNsn9ScLvSeTArABYax8G/n4hBc0WA+wME1Bt/80WBbIqJrKJ
 7cckAIiGccedfrZYqj0wtmyCvksNF5yfxhWNxJq4YZgcFuIwwqsIRA4ndkdo
 NEHd4k3Ere3yvu3bt88OwPbt24P169ffC3x64fEQYmmZAShJlGt3Au0+w0GI
 bctcQDeBiNX0GCm6HCtXWbo45OKLunG0ovUIJx+T7hEQhQ3BRpbCSk0mnWbo
 lz5hZIknHdyc+s6mz72zLw4ZdJy8NUoPfvLKRwKnbVJfbB4vmYUmQu0M0LNE
 gZlJjGWaAaKmW2tQoCLq4lHIuSDTyrfX9EQJJqUxKeg6HxQh6SVgHAdiI0pz
 WxTG14IaDiNvR4z+G2BYtx7005/+dMBa+82FO8FTR4F2J3iy/vGMqOGZGGVi
 yjmH9rRfaYglgjhD2hQIY5/YhliJEQTjqCR3MJESZXtBrQXWC/FqlYrsy2qC
 TRbcsjALaI8AiQlEwlQUmGkCQtNkaDOBNpMRERyr0WIYnwiTsUphxTI6Yulg
 DW9//Q1cuGI1E+EQQ5OH+Pngtxn1T+Bqh9GqZVGpSCMax2inRZvFkZUOYFS3
 T37Hjh3brbW7XkkGzOzPSRjQnvKEDT/JGbSeovxEXXhxYAk3XfJR3rVuM0RF
 MnYV67qu5bdX3U53ZjHPHqzhj72V2y76O5Z3XEhspw5ufKyKZ60KN0Pifad9
 zNzk5lw+oJ0BUyFuBvXtdAUNEUFlHbQDuXQrKghHTxiuueAGLl+9jpHGEb73
 wtfYvX+Cd128kTdfsJK8201GT7Jx7dVkU1nGvQFcnUn0FhpumpC297RP7mER
 GVpINtgeCu2M1TzZ3sGewge4kUKLYbQSJf1j6M6ex+Y3XYMQcaS6l2H7JEP2
 x/zkhSdYWXwTb+m+k7ct30xPrkxHupvr1/wJVy6/ERELSpaHoRRnBWDnzp0N
 Ebn3TAGwbWGwvVk5SVWoWUF+aV95CUtsWqMMFHIGBUxMWsrOCpZ39TAZVDlc
 fQYRYcITjo+MAJCiiyvO28A7LryKlE5RTPXiqBSxjRBRFWvFmxWApp3ea62N
 T8f+2xkQA1F7k5NHAZohMJKkbysHsGraZ8T1ABsJDd82ix1wbGQYPwzJuSWW
 Fi5A47ByURqPYwzXKhQLDo/98nscGD6EAD88+BWeGtyGq9MAOaW0e1IAdu3a
 dVhEvnlGJqCT4GzVdHyPLIidPQoYJYRx0s/SVLyVB7T6OC7amDCOk3F1z1LO
 9pB2Xfy4ThDXERFSKU1vqZtyrojjuAzVagRRRMUf5FBlDzV/GFGCUmQU4pwU
 gOYk7zkTADwMmESBmOTIygug02tMlaqMSWp6AItsg4YPQTydCGGg5kxdKjkU
 Lk/9eeTYsXQqOQAwRpN13WZEUwRxcjocRUKt7hHHMaH16MilSTkpjHJxTQal
 WocT1LASnBKA3bt3Py4iu+arfIvSx+IMbkpQJrHnMBbqniU3WqPPjEzdEdBa 
 s9w0uGT8BBN1IYiS/mjBuELVpFolra8NFepPhXEsrqPBCsWc5tDYC4zUKmSc 
 Ajm3lLDOCkdGTvBibQSlPXrKGsdAMdNLKd2bOMDkYGVCp4w/5wWJZmL0T/NN
 ha21PBsV2ZzTuCmbgBCD58PoOLxdHWBt9xjHnAI9scfKkRHGR4XJhhDZJLNz
 UpDLwZ5w6gj9v/Kp7EU1U8nl0olTrHsxS8pL6e4o0QhrHK3uxUrIoUGfVeU3
 sbJ7MU+feJ7apCbl5BmuH2GkfmSaAVBX1oanZEBTqW+cTkiMoohJcTjQ0Um+
 I6kHWgV+DNW6MDAsuAfHecOhoxQPDTM4aBmvCV7YzBkcyOUVUSnDL6KO1vb1
 yZSTOWqtrg5VIiyWUoemrg+x5/Av0SrFZYs3UXB7KBU0vcVyYo66wbg3QLU+
 Tke6h1JmBTbMtcpqK+JYSnMC8OyzzzZE5KvzBSAMk1R1W7CMUo+ho0PhuIlz
 80Oo1WGkIgyOCMNjQmWCRHlJlM8XFN3div9Qq7BJzveZ/v7+uOrVtIh1cmmD
 QoGC0fpxHvn5dxmuVnh951u4oHwVbriaa9dtJrA1fjX+36RTMY2gQcbkWFf+
 XdYvvR1DBpSMO65qzAlAkwX/ICIT8/UDvu8zYtP8W+p1LFkMpRKkUoLSQhQL
 QSj4geCHyW9BcF2howCLeoU95cXsjYqtiwwPA3RkC2mjNXEsTRNW9HTCifrT
 PDe4m4HKi1zUtZFPvfuv2HjJlew88R2eHvwhx2vP88juB9k3tJOObJaK7COU
 OgqViSNxmc/Wd3h4uN7T0zMCvGe+NzqUUoyoPH42zZtzVbRKNjC6eZKrNTgO
 pNKQyyrKJcXSxYo93cvZ5i9vneL8Tn9/f01E1P1PfOuS0cmxTeUOKaxZlUNr
 RT6nUKkxRmsVnj82zIY1V7OkvIinB3/Afx76CrEK0KZBJTrAi95ejtf3cGxi
 b7IpU2pEafWtH331wOi8bok999xz965du/Z1zXrBnNI67OinmwOpApvPO8rq
 6hi1iaTya21S+XFdyGcVjVKOf5GVPO930Dy8uLb9UlMj8Bwr1s2k3anNkEJR
 yMHx0afZf+AZLl99Oevf8Fa0cuhI9VKvT5BNu+QyLrVwAMLEgSoUGlNxycwd
 Bdpl3759f7pmzZp9wN/Oo3S2q16vf9F1XTVk05+93z+/t5QJuLRjnGW6MQVA
 FZfnoiIHm8VP4OvAR/v7+0fbNlnS/ZHfqgZRZB0nM8M8obMEq8+r8T+Hf8xl
 Ky/hjb1XE0nId174AoFtgKh27w8IWqmRdDrXOKNrcmvWrMk2zxG2ABe0gXEM
 +AHw1f37929v9e/r6yuQXIe/AbhqlkcOAP8O3NO6uDTDB6nVn7j6D16sDHxu
 w+X53FsvLqFnzDqIQsrqjSwpnkcmLdSjQX5V2dVa8aksXKEsqKcck/7jT7/t
 0Z+dtZui85W+vr4lzYsYXSSXm4P+/v49c4278M/edd2hwWNfWne+s/zaK7sw
 MxBQKKxEURhJ4DjKA7FKmUGt8AXzjBY5GBHvL7jFIaPi/R+/4tGDZ+Wm6OlK
 064HTnfcidGhI2EcHMyn0z0K0kADQQtqCKzVWsca54m0K/tAPeEYp6xEdoSO
 X/2LKx6bOOXNVV4DUhkeOeDmzZcWlVOXKs0KRbwD7XRqMTusxHVXK6Ni5+mG
 rjt/uf7Hgz+Xzeoy9W3hN0lyd3Xqj3//vfm/7n93J8Dn9t1sOCfn5JwsVP4X
 HkPVMBEyRkAAAAAASUVORK5CYII

## qtirreco 0.1-2

=== debian/changelog ===
qtirreco (0.1-2) unstable; urgency=low

  * Fixed downloadremotedlg crashing.
  * Lirc daemon now starts and stops with QtIrreco.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Mon, 2 Nov 2009 13:06:14 +0200

## qtirreco 0.1-3

=== debian/changelog ===
qtirreco (0.1-3) unstable; urgency=low

  * Remotes using raw codes enabled.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Mon, 9 Nov 2009 12:26:14 +0200

## qtirreco 0.1-4

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtirreco
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Oct 27 12:37:29 2009
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Nov 17 12:19:12 2009
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -71,7 +71,8 @@
 		uploaddbdlg.cpp \
 		themecreatorbutton.cpp \
 		themecreatorbackground.cpp \
-		themepreviewbuttondlg.cpp moc_aboutdlg.cpp \
+		themepreviewbuttondlg.cpp \
+		socket.cpp moc_aboutdlg.cpp \
 		moc_backgroundcolordlg.cpp \
 		moc_backgrounddlg.cpp \
 		moc_buttonselectdlg.cpp \
@@ -98,6 +99,7 @@
 		moc_themecreatorbutton.cpp \
 		moc_themecreatorbackground.cpp \
 		moc_themepreviewbuttondlg.cpp \
+		moc_socket.cpp \
 		qrc_images.cpp
 OBJECTS       = aboutdlg.o \
 		backgroundcolordlg.o \
@@ -129,6 +131,7 @@
 		themecreatorbutton.o \
 		themecreatorbackground.o \
 		themepreviewbuttondlg.o \
+		socket.o \
 		moc_aboutdlg.o \
 		moc_backgroundcolordlg.o \
 		moc_backgrounddlg.o \
@@ -156,6 +159,7 @@
 		moc_themecreatorbutton.o \
 		moc_themecreatorbackground.o \
 		moc_themepreviewbuttondlg.o \
+		moc_socket.o \
 		qrc_images.o
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
@@ -260,8 +264,3 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtirreco1.0.0 || $(MKDIR) .tmp/qtirreco1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.h backgroundcolordlg.h backgrounddlg.h buttonselectdlg.h buttonwidget.h commandchaindlg.h creditsdlg.h layoutwidget.h licensedlg.h newbuttondlg.h qtirreco.h downloadremotedlg.h qxtxmlrpcresponseparser.h qxtxmlrpcrequestcomposer.h qxtxmlrpcclient.h lircsocket.h remotestartupdlg.h renameremotedlg.h logindbdlg.h registerdlg.h downloaduserremotedlg.h thememanager.h themecreatordlg.h createbuttondlg.h createbackgrounddlg.h uploaddbdlg.h themecreatorbutton.h themecreatorbackground.h themepreviewbuttondlg.h .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents images.qrc .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.cpp backgroundcolordlg.cpp backgrounddlg.cpp buttonselectdlg.cpp buttonwidget.cpp commandchaindlg.cpp creditsdlg.cpp layoutwidget.cpp licensedlg.cpp main.cpp newbuttondlg.cpp qtirreco.cpp downloadremotedlg.cpp qxtxmlrpcresponseparser.cpp qxtxmlrpcrequestcomposer.cpp qxtxmlrpcclient.cpp lircsocket.cpp remotestartupdlg.cpp renameremotedlg.cpp logindbdlg.cpp registerdlg.cpp downloaduserremotedlg.cpp thememanager.cpp themecreatordlg.cpp createbuttondlg.cpp createbackgrounddlg.cpp uploaddbdlg.cpp themecreatorbutton.cpp themecreatorbackground.cpp themepreviewbuttondlg.cpp .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.ui backgroundcolordlg.ui backgrounddlg.ui buttonselectdlg.ui commandchaindlg.ui creditsdlg.ui licensedlg.ui qtirreco.ui downloadremotedlg.ui remotestartupdlg.ui renameremotedlg.ui newbuttondlg.ui logindbdlg.ui registerdlg.ui downloaduserremotedlg.ui thememanager.ui themecreatordlg.ui createbuttondlg.ui createbackgrounddlg.ui uploaddbdlg.ui themepreviewbuttondlg.ui .tmp/qtirreco1.0.0/ && (cd `dirname .tmp/qtirreco1.0.0` && $(TAR) qtirreco1.0.0.tar qtirreco1.0.0 && $(COMPRESS) qtirreco1.0.0.tar) && $(MOVE) `dirname .tmp/qtirreco1.0.0`/qtirreco1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtirreco1.0.0
-
-
-clean:compiler_clean 
-	-$(DEL_FILE) $(OBJECTS)

=== debian/changelog ===
qtirreco (0.1-4) unstable; urgency=low

  * Fixed downloaduserremotedlg issues.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Mon, 10 Nov 2009 15:46:14 +0200

## qtirreco 0.1-5

=== Makefile ===
#############################################################################
# Makefile for building: qtirreco
# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Oct 27 12:51:55 2009
# Project:  qtirreco.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile qtirreco.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qtirreco.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile qtirreco.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile qtirreco.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
qtirreco (0.1-5) unstable; urgency=low

  * New socket.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Mon, 30 Nov 2009 14:36:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: qtirreco
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lirc, libqt4-core (>= 4.5.3~git20090723), libqt4-gui (>=  4.5.3~git20090723), libqt4-network (>= 4.5.3~git20090723), libqt4-xml (>= 4.5.3~git20090723), libc6, libgcc1, libstdc++6
+Depends: ${shlibs:Depends}, ${misc:Depends}, lirc, libqt4-core (>= 4.5.3~git20090723), libqt4-gui (>=  4.5.3~git20090723), libqt4-network (>= 4.5.3~git20090723), libqt4-xml (>= 4.5.3~git20090723), libqt4-dbus (>= 4.5.3~git20090723), libc6, libgcc1, libstdc++6
 Description: QtIrreco - Ir Remote Control
  QtIrreco is a remote control application for Nokia N900.
  With QtIrreco you can control IR compatible devices like televisions,

## qtirreco 0.1-6

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtirreco
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Nov 17 12:19:12 2009
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Nov 30 09:10:05 2009
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -58,7 +58,6 @@
 		qxtxmlrpcresponseparser.cpp \
 		qxtxmlrpcrequestcomposer.cpp \
 		qxtxmlrpcclient.cpp \
-		lircsocket.cpp \
 		remotestartupdlg.cpp \
 		renameremotedlg.cpp \
 		logindbdlg.cpp \
@@ -85,7 +84,6 @@
 		moc_qtirreco.cpp \
 		moc_downloadremotedlg.cpp \
 		moc_qxtxmlrpcclient.cpp \
-		moc_lircsocket.cpp \
 		moc_remotestartupdlg.cpp \
 		moc_renameremotedlg.cpp \
 		moc_logindbdlg.cpp \
@@ -117,7 +115,6 @@
 		qxtxmlrpcresponseparser.o \
 		qxtxmlrpcrequestcomposer.o \
 		qxtxmlrpcclient.o \
-		lircsocket.o \
 		remotestartupdlg.o \
 		renameremotedlg.o \
 		logindbdlg.o \
@@ -145,7 +142,6 @@
 		moc_qtirreco.o \
 		moc_downloadremotedlg.o \
 		moc_qxtxmlrpcclient.o \
-		moc_lircsocket.o \
 		moc_remotestartupdlg.o \
 		moc_renameremotedlg.o \
 		moc_logindbdlg.o \
@@ -264,3 +260,11 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtirreco1.0.0 || $(MKDIR) .tmp/qtirreco1.0.0 
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.h backgroundcolordlg.h backgrounddlg.h buttonselectdlg.h buttonwidget.h commandchaindlg.h creditsdlg.h layoutwidget.h licensedlg.h newbuttondlg.h qtirreco.h downloadremotedlg.h qxtxmlrpcresponseparser.h qxtxmlrpcrequestcomposer.h qxtxmlrpcclient.h remotestartupdlg.h renameremotedlg.h logindbdlg.h registerdlg.h downloaduserremotedlg.h thememanager.h themecreatordlg.h createbuttondlg.h createbackgrounddlg.h uploaddbdlg.h themecreatorbutton.h themecreatorbackground.h themepreviewbuttondlg.h socket.h .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents images.qrc .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.cpp backgroundcolordlg.cpp backgrounddlg.cpp buttonselectdlg.cpp buttonwidget.cpp commandchaindlg.cpp creditsdlg.cpp layoutwidget.cpp licensedlg.cpp main.cpp newbuttondlg.cpp qtirreco.cpp downloadremotedlg.cpp qxtxmlrpcresponseparser.cpp qxtxmlrpcrequestcomposer.cpp qxtxmlrpcclient.cpp remotestartupdlg.cpp renameremotedlg.cpp logindbdlg.cpp registerdlg.cpp downloaduserremotedlg.cpp thememanager.cpp themecreatordlg.cpp createbuttondlg.cpp createbackgrounddlg.cpp uploaddbdlg.cpp themecreatorbutton.cpp themecreatorbackground.cpp themepreviewbuttondlg.cpp socket.cpp .tmp/qtirreco1.0.0/ && $(COPY_FILE) --parents aboutdlg.ui backgroundcolordlg.ui backgrounddlg.ui buttonselectdlg.ui commandchaindlg.ui creditsdlg.ui licensedlg.ui qtirreco.ui downloadremotedlg.ui remotestartupdlg.ui renameremotedlg.ui newbuttondlg.ui logindbdlg.ui registerdlg.ui downloaduserremotedlg.ui thememanager.ui themecreatordlg.ui createbuttondlg.ui createbackgrounddlg.ui uploaddbdlg.ui themepreviewbuttondlg.ui .tmp/qtirreco1.0.0/ && (cd `dirname .tmp/qtirreco1.0.0` && $(TAR) qtirreco1.0.0.tar qtirreco1.0.0 && $(COMPRESS) qtirreco1.0.0.tar) && $(MOVE) `dirname .tmp/qtirreco1.0.0`/qtirreco1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtirreco1.0.0
+
+
+clean:compiler_clean 
+	-$(DEL_FILE) $(OBJECTS)
+	-$(DEL_FILE) *~ core *.core
+
+

=== debian/changelog ===
qtirreco (0.1-6) unstable; urgency=low

  * Informs user of invalid theme.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Tue, 1 Dec 2009 12:36:14 +0200

## qtirreco 0.1-7

=== debian/changelog ===
qtirreco (0.1-7) unstable; urgency=low

  * Fixed theme managers delete theme.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Tue, 1 Dec 2009 14:36:14 +0200

## qtirreco 0.1-8

=== debian/changelog ===
qtirreco (0.1-8) unstable; urgency=low

  * Faster IR sending. Some drag and drop changes.
  * Remotestartup dialog doesn't crash anymore when adding button and then removing 
    it and making remote.
  * Doesn't crash anymore when clicking or holding down button with no command.
  * Edit button -> OK -> Edit button doesn't crash anymore.
  * Reads only one device config to file.
  * Snap to grid.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Tue, 5 Dec 2010 14:00:14 +0200

=== rules ===
#!/usr/bin/make -f
APPNAME := qtirreco
builddir:
	mkdir -p builddir
	
builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_installdocs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
